# XSAttributeUse Class Reference

Inheritance diagram for XSAttributeUse:

List of all members.

## Public Member Functions

Constructors
| XSAttributeUse (XSAttributeDeclaration *const xsAttDecl, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeUse ()
XSAttributeUse methods
bool | getRequired () const
| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
XSAttributeDeclaration * | getAttrDeclaration () const
| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value Constraint: one of default, fixed.
const XMLCh * | getConstraintValue ()
| Value Constraint: The actual value.

## Protected Attributes

bool | fRequired
XSConstants::VALUE_CONSTRAINT | fConstraintType
const XMLCh * | fConstraintValue
XSAttributeDeclaration * | fXSAttributeDeclaration

## Friends

class | XSObjectFactory

## Constructor & Destructor Documentation

XSAttributeUse::XSAttributeUse | ( | XSAttributeDeclaration *const | xsAttDecl,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | xsAttDecl |
  | xsModel |
  | manager | The configurable memory manager

XSAttributeUse::~XSAttributeUse | ( |  | ) |

## Member Function Documentation

bool XSAttributeUse::getRequired | ( |  | ) | const

[required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

References fRequired.

XSAttributeDeclaration * XSAttributeUse::getAttrDeclaration | ( |  | ) | const

[attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

References fXSAttributeDeclaration.

XSConstants::VALUE_CONSTRAINT XSAttributeUse::getConstraintType | ( |  | ) | const

Value Constraint: one of default, fixed.

References fConstraintType.

const XMLCh * XSAttributeUse::getConstraintValue | ( |  | ) |

Value Constraint: The actual value.

References fConstraintValue.

## Friends And Related Function Documentation

friend class XSObjectFactory`[friend]`

## Member Data Documentation

bool XSAttributeUse::fRequired`[protected]`

Referenced by getRequired().

XSConstants::VALUE_CONSTRAINT XSAttributeUse::fConstraintType`[protected]`

Referenced by getConstraintType().

const XMLCh* XSAttributeUse::fConstraintValue`[protected]`

Referenced by getConstraintValue().

XSAttributeDeclaration* XSAttributeUse::fXSAttributeDeclaration`[protected]`

Referenced by getAttrDeclaration().

The documentation for this class was generated from the following file:

- XSAttributeUse.hpp